---
updatedAt: 2025-06-18T11:55:34.000Z
agentTools:
  projectIndex: https://api.encoding.com/llms.txt
---

# Main Manifest Parameters

| Parameters                      | Description                                                                                                                                                                                                             | Allowed Values                                                                                                              | Default Value |
| :------------------------------ | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :-------------------------------------------------------------------------------------------------------------------------- | :------------ |
| **basename**                    | Specify the basename for the main manifest.                                                                                                                                                                             | Valid file name without sub-directories                                                                                     | *none*        |
| **destination**                 | Specify the destination for the main mainfest.                                                                                                                                                                          | Valid URL                                                                                                                   | *none*        |
| **add\_audio\_only**            | Add an audio only stream to this manifest.                                                                                                                                                                              | yes, no                                                                                                                     | yes           |
| **widevine\_drm**               | Apply Widevine DRM for manifest                                                                                                                                                                                         | yes, no                                                                                                                     | no            |
| **playready\_drm**              | Apply PlayReady DRM for manifest                                                                                                                                                                                        | yes, no                                                                                                                     | no            |
| **add\_hls\_drm\_metadata**     | Add DRM signaling to HLS master manifest                                                                                                                                                                                | yes, no                                                                                                                     | no            |
| **single\_segment\_template**   | Use Single SegmentTemplate per AdaptationSet to create a compacted manifest.                                                                                                                                            | yes, no, auto                                                                                                               | no            |
| **replace\_bitrate**            | Replace the calculated bitrate with the value specified in the request.                                                                                                                                                 | yes, no                                                                                                                     | no            |
| **add\_audio\_channels**        | Add CHANNELS attribute to #EXT-X-MEDIA tag                                                                                                                                                                              | **yes** – always add  <br/>**no** – newer add  <br/>**auto** – add if **`<playlist_version />`** is equal or greater than 7 | auto          |
| **apply\_to**                   | Apply manifest options only for HLS, DASH or both manifest types.                                                                                                                                                       | hls, dash, all                                                                                                              | all           |
| **sources**                     | External manifest sources                                                                                                                                                                                               | Array of valid HLS or MPD manifests                                                                                         | *none*        |
| **sub\_path**                   | Main manifest sub directory relative to the output destination                                                                                                                                                          | String                                                                                                                      | *none*        |
| **add\_all\_cea\_cc\_channels** | Add all CEA CC/SERVICE to the HLS master manifest.  <br/>By default or if this parameter set to "no", only CC1 will be added for captions with mux\_type set to 608 and SERVICE1 for captions with mux\_type set to 708 | yes, no                                                                                                                     | no            |
| **add\_cea\_cc\_channels**      | Comma separated list of 608/708 CC channels to add to master HLS manifest                                                                                                                                               | cc1, cc2, cc3, cc4, service1, service2, service3, service4, service5, service6, service7                                    | *none*        |

> 🚧 Note
>
> **destination** and **add\_audio\_only** options are available only for **advanced\_hls** output.

> 🚧 For widevine\_drm and playready\_drm parameters
>
> **`<widevine_drm />`** and **`<playready_drm />`** parameters are available only for **advanced\_dash** and dash manifests of **advanced\_fmp4** output formats.

> 🚧 For add\_hls\_drm\_metadata parameter
>
> **`<add_hls_drm_metadata />`** parameter is available only for **advanced\_hls**, **fmp4\_hls**, and HLS manifests of **advanced\_fmp4** output formats.

> 🚧 For single\_segment\_template parameter
>
> **`<single_segment_template />`** parameter available only for **advanced\_dash** and dash manifests of **advanced\_fmp4** output formats.
>
> Applicable only if all Representations in AdaptationSet are segment-aligned, and output is segmented (used **live\_static** **`<dash_profile />`** for advanced\_dash or **`<split_segments />`** enabled for advanced\_fmp4). Enabling the single segment template parameter will reduce the DASH manifest overhead by producing a more compact manifest by moving some attributes from the Representation object to the AdaptationSet object resulting in faster parsing by some client players.

> 🚧 For replace\_bitrate parameter
>
> **`<replace_bitrate />`** parameter is available only for **advanced\_dash** and dash manifests of **advanced\_fmp4** output formats.

> 🚧 For add\_audio\_channels parameter
>
> **`<add_audio_channels />`** parameter is available only for **advanced\_hls**, **fmp4\_hls**, and **advanced\_fmp4** output formats.

> 🚧 For apply\_to parameter
>
> **`<apply_to />`** parameter is available only for **advanced\_fmp4** output format.

> 🚧 For sub\_path parameter
>
> These characters will be filtered out: "\\", "\`", "№", "$", "#", "?"

> 🚧 For add\_all\_cea\_cc\_channels parameter
>
> The **`<add_all_cea_cc_channels />`** parameter available only for **advanced\_hls**, **fmp4\_hls**, and HLS manifests of  **advanced\_fmp4** output format.

> 🚧 For add\_cea\_cc\_channels
>
> The **`<add_cea_cc_channels />`** parameter is only available for **advanced\_hls**, **fmp4\_hls**, and HLS manifests of **advanced\_fmp4** output formats.

> 🚧 For basename
>
> The **`<add_cea_cc_channels />`** parameter value should not contain sub-directories. E.g. "/" character is restricted.